Bug 237469 - graphics/wings: Update to 2.2.4
Summary: graphics/wings: Update to 2.2.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Christoph Moench-Tegeder
URL: http://www.wings3d.com/forum/showthre...
Keywords: patch, patch-ready
Depends on: 239173 239174
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-22 13:05 UTC by kunda
Modified: 2019-07-28 22:48 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (amdmi3)
koobs: merge-quarterly?


Attachments
update wings to 2.2.4 and unbreak (40.82 KB, patch)
2019-07-12 21:25 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kunda 2019-04-22 13:05:52 UTC
2.2.4 is latest stable

Changelog: http://www.wings3d.com/forum/showthread.php?tid=2811

http://www.wings3d.com/?page_id=84
Comment 1 Dmitry Marakasov freebsd_committer 2019-04-22 13:54:30 UTC
This is stuck for some time because it also needs esdl and erlanng-cl updates which is not a big problem on itself, but the whole thing just doesn't run and I lack experience in erlang to debug it. Help welcome, I'll update the patches and put them somewhere.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-22 14:20:39 UTC
Bugfix release (MFH)
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-22 14:21:12 UTC
Jimmy may be able to help with erlang stuff
Comment 4 Christoph Moench-Tegeder freebsd_committer 2019-07-12 21:25:17 UTC
Created attachment 205732 [details]
update wings to 2.2.4 and unbreak

Here's an update to wings, the dependencies are in bug #239173 and bug #239173 .

The port seems to work (I tried a few simple shapes) and build in poudriere.

wing's own Makefiles do make some unlucky assumptions (like that the top directory was named "wings" without any version), which requires some rather ugly cleanups from our side. As the command line of the erlang runtime has changed since "back in the days", I'm fixing the wrapper script as well.
Comment 5 Christoph Moench-Tegeder freebsd_committer 2019-07-12 21:30:57 UTC
oh, and wings-2.2.4 does generally work with erlang-cl 1.2.3 (what we have in ports right now).
Comment 6 commit-hook freebsd_committer 2019-07-28 22:37:13 UTC
A commit references this bug:

Author: cmt
Date: Sun Jul 28 22:36:57 UTC 2019
New revision: 507542
URL: https://svnweb.freebsd.org/changeset/ports/507542

Log:
  graphics/wings: update to 2.2.4 and unbreak

  wing's own Makefiles do make some unlucky assumptions (like that the
  top directory was named "wings" without any version), which requires
  some rather ugly cleanups from our side. As the command line of the
  erlang runtime has changed since "back in the days", I'm fixing the
  wrapper script as well.

  PR:		237469
  Reported by:	kunda
  Approved by:	maintainer-timeout (amdmi3@)

Changes:
  head/graphics/wings/Makefile
  head/graphics/wings/distinfo
  head/graphics/wings/files/patch-e3d_e3d__qbvh.erl
  head/graphics/wings/files/patch-icons_Makefile
  head/graphics/wings/files/patch-intl__tools_tools.erl
  head/graphics/wings/files/patch-plugins__src_Makefile
  head/graphics/wings/files/patch-plugins__src_autouv_Makefile
  head/graphics/wings/files/patch-plugins__src_commands_Makefile
  head/graphics/wings/files/patch-plugins__src_import__export_Makefile
  head/graphics/wings/files/patch-plugins__src_import_export_wpc_lwo.erl
  head/graphics/wings/files/patch-plugins__src_primitives_Makefile
  head/graphics/wings/files/patch-src_Makefile
  head/graphics/wings/files/wings.sh.in
  head/graphics/wings/pkg-plist
Comment 7 Christoph Moench-Tegeder freebsd_committer 2019-07-28 22:40:11 UTC
committed as ports r507542
Comment 8 Christoph Moench-Tegeder freebsd_committer 2019-07-28 22:48:06 UTC
I'm opting for not MFHing this, as that would touch more ports (and the demand doesn't look that big either, given the activity in these PRs).